Package org.pushingpixels.lafwidget

# Class LAFAdapter

java.lang.Object
org.pushingpixels.lafwidget.LAFAdapter

public class LAFAdapter extends Object

## Constructor Summary

Constructors
Constructor
Description
`LAFAdapter()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Returns the UI as normal, but intercepts the call, so a listener can be attached.
`static void`
`startWidget()`
This initialises the Widgeting system.
`static void`
`stopWidget()`
This tears-down the widgeting system.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LAFAdapter

public LAFAdapter()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Returns the UI as normal, but intercepts the call, so a listener can be attached. This is called internally from Swing code to create the UI delegate for a component. THIS METHOD SHOULDN'T BE CALLED FROM USER CODE!

### startWidget

public static void startWidget()
This initialises the Widgeting system. All future components created will be widgeted. This code maybe called from any thread and ensures that the actual initialisation is done on the Event Thread. If called from another thread, this method will block until the initialisation is complete.

### stopWidget

public static void stopWidget()
This tears-down the widgeting system. Calling this method prevents any further components being widgetised. Any existing components with widgets will continue to have them. All system hooks will be removed and the widgeting system will stop attaching to new components. This method is safe to call from any thread, as the work will be done on the Event Thread. If called from another thread, this method will block until the initialisation is complete.